rte_pie(3)

NAME
rte_pie

SYNOPSIS

#include <rte_pie.h>

  Data Fields

uint16_t active
uint16_t in_measurement
uint32_t departed_bytes_count
uint64_t start_measurement
uint64_t last_measurement
uint64_t qlen
uint64_t qlen_bytes
uint64_t avg_dq_time
uint32_t burst_allowance
uint64_t qdelay_old
double drop_prob
double accu_prob

Detailed Description

PIE run-time data

Definition at line 55 of file rte_pie.h.

Field Documentation

  uint16_t active
Flag for activating/deactivating pie

Definition at line 56 of file rte_pie.h.

  uint16_t in_measurement
Flag for activation of measurement cycle

Definition at line 57 of file rte_pie.h.

  uint32_t departed_bytes_count
Number of bytes departed in current measurement cycle

Definition at line 58 of file rte_pie.h.

  uint64_t start_measurement
Time to start to measurement cycle (in cpu cycles)

Definition at line 59 of file rte_pie.h.

  uint64_t last_measurement
Time of last measurement (in cpu cycles)

Definition at line 60 of file rte_pie.h.

  uint64_t qlen
Queue length (packets count)

Definition at line 61 of file rte_pie.h.

  uint64_t qlen_bytes
Queue length (bytes count)

Definition at line 62 of file rte_pie.h.

  uint64_t avg_dq_time
Time averaged dequeue rate (in cpu cycles)

Definition at line 63 of file rte_pie.h.

  uint32_t burst_allowance
Current burst allowance (bytes)

Definition at line 64 of file rte_pie.h.

  uint64_t qdelay_old
Old queue delay (bytes)

Definition at line 65 of file rte_pie.h.

  double drop_prob
Current packet drop probability

Definition at line 66 of file rte_pie.h.

  double accu_prob
Accumulated packet drop probability

Definition at line 67 of file rte_pie.h.

Author

Generated automatically by Doxygen for DPDK from the source code.